

%wind file: "TIMESTAMP","RECORD","batt_volt","PTemp","Wind_Direction","Wind_Speed","W_Axis_Velocity","Speed_of_Sound","Sonic_Temperature",
%cr800, data from 15.jan to 3 feb.  
 function [data vec_date vec_time]=import_wind(m) %m=date ddmmyyyy
CWD    = pwd
%if dates before 15.January
%     folder='Cr800_2'
%     folder2='Cr800'
    day=(m(1:2))
    mdn=(m(3:4))
    year=m(5:8);
    
    %%for dates after 15.JAnuary
    d=str2num(m(1:2))
    folder='Cr800'
    folder2=num2str(d);
    
    
    
%%%%%
    newdir=[pwd '\' folder '\' folder2 '\']
    
    filename='Vindmler_Rdgs_1990_01_01_0000_1990_01_01_0000_'
    %date[m(5:8) '_' m(3:4) '-' m(1:2) ]
    %files=dir([newdir filname date '*.dat'])
    %files=dir([newdir '*.dat'])
    
files=dir([newdir filename year '_' mdn '_' day '*.dat'])
files.name
%files=dir([newdir '*.txt'])% 'Streaming' direction sensor date time '*.txt'])
%files=dir(['Streaming' direction sensor date time part '.txt'])% '.txt'])

%import x-direction one day
delimiter = {',',' '};
startRow = 5;  
%% Format string for each line of text:
%   column1: text (%s)
%	column2: text (%s)
%   column3: double (%f)
%	column4: double (%f)
%   column5: double (%f)
%	column6: double (%f)
%   column7: double (%f)
%	column8: double (%f)
%   column9: double (%f)
%	column10: double (%f)
% For more information, see the TEXTSCAN documentation.
formatSpec = '%s%s%s%*s%*s%s%s%s%[^\n\r]'; %[^\n] read first column, skip rest of the lines Newline %\r	Carriage return
data=[];
vec_date=[];
vec_time=[];
for i=1:length(files)
   
   fileID = fopen( [newdir files(i).name],'r');
   % from the Import Tool.
%textscan(fileID, '%[^\n\r]', startRow-1, 'ReturnOnError', false);
%dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter,'MultipleDelimsAsOne', 1, 'EmptyValue' ,NaN,'ReturnOnError', false);
%dataArray = textscan(fileID, formatSpec, 'delimiter', delimiter)% 'MultipleDelimsAsOne', true, 'EmptyValue',NaN, 'ReturnOnError', false);
dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter,  'ReturnOnError', false);
dataArray{:,4} = strrep(dataArray{:,4}, '"', '');
dataArray{:,5} = strrep(dataArray{:,5}, '"', '');
dataArray{:,6} = strrep(dataArray{:,6}, '"', '');
%numbers = textscan(numbers, '%f');
%date=column1 time=column2; recordnumber=column3; winddirection=4;
%windspeed=5, windvelocity=6;
if i==1
dataArray{1,1}(10) = strrep(dataArray{1,1}(10), '"', '');
date=char(dataArray{1,1}(10));
end
Record = str2double(dataArray{:, 3});
wind_dir = str2double(dataArray{:, 4});
wind_speed = str2double(dataArray{:, 5});
wind_vel=str2double(dataArray{:, 6});
date_time=strrep(dataArray{:, 1}, '"', '');
time_=strrep(dataArray{:, 2}, '"', '');

%% Close the text file.
fclose(fileID);

data=[data; Record(startRow:end) wind_dir(startRow:end) wind_speed(startRow:end) wind_vel(startRow:end)] ;
vec_date=[vec_date; date_time(startRow:end)];
vec_time=[vec_time; time_(startRow:end)];
%% Clear temporary variables
%clearvars startRow fileID dataArray ans raw col numericData rawData row regexstr result numbers invalidThousandsSeparator thousandsRegExp me R;
clearvars date_time time_ daytime Record  wind_speed wind_dir wind_vel fileID dataArray  ans raw col numericData rawData row regexstr result numbers invalidThousandsSeparator thousandsRegExp me R;
end


 end