
%script generated partwise from importtool matlab


function x_data=ImportAcc(sensorID,direct,m,time) %,time,part)

time=strrep(time, ':', '.');

    CWD    = pwd
    if and(str2num(m(3:4))==1,str2num(m(1:2))>=15)
        folder=['BeanScape']
    else
    folder=[m(3:4) '-' m(5:8)]
    end
    
    newdir=[pwd '\' folder '\']

    
%sensor='00158D00000E03B0_';
sensor=['00158D00000' sensorID '_']% E03B0_'
direction=['_0_x_' num2str(direct) '_0_x_'];
date=[m(1:2) '-' m(3:4) '-' m(5:8)]
h=str2num(time(1:2));
c=1;
datenum=str2double(m(1:2));

files=dir([newdir 'Streaming' direction sensor date '_' time '*.txt'])
%import x-direction one day
delimiter = ';';
formatSpec = '%s%s%[^\n\r]'; %[^\n] read first column, skip rest of the lines Newline %\r	Carriage return
x_data=[];

for i=1:length(files)
    if ~isempty(findstr(files(i).name,'part000'))==1;
        startRow = 17
    else
        startRow=1
    end
   fileID = fopen( [newdir files(i).name],'r');
   % from the Import Tool.
%textscan(fileID, '%[^\n\r]', startRow-1, 'ReturnOnError', false);
dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'EmptyValue' ,NaN,'ReturnOnError', false);

dataArray{:,2} = strrep(dataArray{:,2}, ',', '.');
%numbers = textscan(numbers, '%f');
number = str2double(dataArray{:, 1});
value = str2double(dataArray{:, 2});

%% Close the text file.
fclose(fileID);

x_data=[x_data; number(startRow:end) value(startRow:end)] ;
%% Clear temporary variables
%clearvars startRow fileID dataArray ans raw col numericData rawData row regexstr result numbers invalidThousandsSeparator thousandsRegExp me R;
clearvars startRow fileID dataArray number value ans raw col numericData rawData row regexstr result numbers invalidThousandsSeparator thousandsRegExp me R;
end

size(x_data)
end
